Форум программистов, компьютерный форум CyberForum.ru

исключения c++ - C++

Войти
Регистрация
Восстановить пароль
Другие темы раздела
C++ Как модернезировать программу http://www.cyberforum.ru/cpp-beginners/thread322625.html
Как можно модернезировать эту программу чтобы она понимала русские буквы ? #include<iostream> #include<ctype.h> using namespace std; int main () { char a; int b;
C++ в чем ошибка? я начал учить ф-ии.пока не все знаю,в книге так #include <stdio.h> #include <iostream.h> int main(int nNumberofArgs, char* pszArgs) { int sumSequence (void){ int accumulator; accumulator = 0; for (;;){ int value=0; http://www.cyberforum.ru/cpp-beginners/thread322609.html
Передача сообщений в окно C++
Есть прогрмка , написаная мной же с использованием MFC в которой имеется поле для ввода и кнопка. По нажатию кнопки из текстового поля считывается содержимое сравнивается с некоторой строкой "паролем" и в еще одном поле выводится : угадан или не угадан пароль. Помогите написать что-то что смогло бы *перебирать* пароли, нажимать кнопку. Погугллив я нашел вроде, что это делается через...
C++ Непонятная ошибка компилятора Dev-Cpp
#include <cstdlib> #include <iostream> using namespace std; void s(int a) { cout<<a<<endl; } class matrix {public:
C++ Различия между двумя циклами http://www.cyberforum.ru/cpp-beginners/thread322567.html
объясните различия между двумя следующими циклами while #include <iostream> using namespace std; int main () { const char *cp="hello"; int cnt=0;
C++ Почему выводит неправильное ,длинное число? я новичок,учу по книге.там задано #include <stdio.h> #include <iostream.h> int main(int nNumberofArgs, char* pszArgs) { int accumulator; for (;;){ int value=0; cout << "vvedite cislo"; cin >> value; подробнее

Показать сообщение отдельно
xAtom
914 / 739 / 60
Регистрация: 09.12.2010
Сообщений: 1,346
Записей в блоге: 1
19.06.2011, 22:44     исключения c++
По мне так пишу на С++ без исключений это раньше когда новичок был с исключениями, но в JAVA2 без исключений не обойтись там я конечно с исключениями пишу код, там даже обязательство исключение вызывать без этого компилятор-байт кода ругается. Вот мой пример реализации исключений, ведь исключения напоминают обычные goto прыжки.
C++
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
// класс - для исключительных сообщений
class  texception {
private:
    char  message[255];
public:
    texception(void) {}
    texception(const char* _msg) {
        strcpy(message, _msg);
    }
    const char*  getMessage(void) const {
         return message;
    }
};
 
 
 
// тестирующий класс
class  _test {
public:
 
    void is_test(const char* p) throw() {
        if( p == NULL)  // эмулируем ошибки-исключений
            throw texception("NULL  pointer CRT...");
        if(! stricmp(p, "hello"))
            throw texception("good moning, user !!!");
    }
 
};
 
 
 
 
void  main(void){
 
    _test test;
 
    system("color 17");
 
    try  {
        test.is_test( getenv("PATH_INFO") );
    } catch(texception  _err) {
        puts( _err.getMessage() );
    }
 
    // здесь бросок будет
    try  {
        test.is_test("hello");
    } catch(texception  _err) {
        puts( _err.getMessage() );
    }
 
 
    // здесь броска не будет
    try  {
        test.is_test("сейчас не будет с генерировано исключение");
        puts( "" );
    } catch(texception  _err) {
        puts( _err.getMessage() );
    }
 
 
    // здесь  тоже бросок будет
    try {
        test.is_test( NULL );
    } catch(...) {
        puts("ERROR EXCEPTION !!!");
    }
 
Текущее время: 07:08. Часовой пояс GMT +3.
КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru